Pip freeze

To check which packages are outdated:

$ pip list outdated

Or even better with piprot:

$ pip install piprot
$ piprot requirements.txt --latest --verbatim